<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="vente">
            <h2><span jhiTranslate="winpharmApp.vente.detail.title">Vente</span> {{vente.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="winpharmApp.vente.dateVente">Date Vente</span></dt>
                <dd>
                    <span>{{vente.dateVente | date}}</span>
                </dd>
            </dl>

            <div class="row justify-content-center">
                <jhi-alert></jhi-alert>
                <div class="alert alert-warning" *ngIf="vente.ligneVentes?.length === 0">
                    <span jhiTranslate="winpharmApp.ligneVente.home.notFound">No ligneVentes found</span>
                </div>
                <div class="table-responsive" *ngIf="vente.ligneVentes?.length > 0">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <!-- <th><span jhiTranslate="global.field.id">ID</span> </th> -->
                                <th><span jhiTranslate="winpharmApp.ligneVente.designationProduit">Designation Produit</span> </th>
                                <th><span jhiTranslate="winpharmApp.ligneVente.prixProduit">Prix Produit</span> </th>
                                <th><span jhiTranslate="winpharmApp.ligneVente.quantite">Quantite</span> </th>
                                <th><span jhiTranslate="winpharmApp.ligneVente.sousTotalHT">Sous Total HT</span> </th>
                                <th><span jhiTranslate="winpharmApp.ligneVente.sousTotal">Sous Total</span> </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let ligneVente of vente.ligneVentes;">
                                <!-- <td>{{ligneVente.id}}</td> -->
                                <td>{{ligneVente.designationProduit}}</td>
                                <td>{{ligneVente.prixProduit}}</td>
                                <td>{{ligneVente.quantite}}</td>
                                <td>{{ligneVente.sousTotalHT}}</td>
                                <td>{{ligneVente.sousTotal}}</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="winpharmApp.vente.totalHT">Total HT</span></dt>
                <dd>
                    <span>{{vente.totalHT}} dh</span>
                </dd>
                <dt><span jhiTranslate="winpharmApp.vente.totalTTC">Total TTC</span></dt>
                <dd>
                    <span>{{vente.totalTTC}} dh</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/vente', vente.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
